# Documentation

> An internal set of guides and docs for the installed version of the platform, including an API Reference that is
> dynamically tailored to your custom schema.

Docs for the latest version of the platform are available via [https://docs.directus.io](https://docs.directus.io), and
_version-specific_ docs are included within the App itself as a core module. Both sets come from the same source of
markdown files on [GitHub](https://github.com/directus/directus), making them easy for anyone to work with.

While the public documentation is organized in six main sections, the in-app docs are limited to the following specific
pages within **Getting Started** and the **App Guide**.

- **App Overview** — A high-level overview of the main app components
- **Content Collections** — Covers the functionality of the Content Module's Collection Page
- **Content Items** — Covers the functionality of the Content Module's Item Page
- **Users Directory** — Covers the functionality of the User Directory Module
- **File Library** — Covers the functionality of the File Library Module
- **Insights** — Covers the functionality of the Insights Module
- **Documentation** — This is what you're reading right now!
- **Settings** — An overview of what Administrators have access to within the Settings Module
- **Backing Directus** — Details on helping support the free and open-source Directus ecosystem
- **Glossary** — A helpful dictionary of terms specific to this platform

::: tip In-App Exclusions

Docs included within the app intentionally exclude certain pages, such as "Installation", as these sections are not
relevant to running instances of the platform. Additionally, some sections may be hidden based on your role as a user
versus a more technical administrator.

:::
