# Installation

> Directus can be installed in many different ways and on several different stacks. You can choose between local,
> self-hosted on-premises, or our managed Cloud solution.

While our CLI is the recommended method for self-hosting, you can use whichever of these self-hosted options best suits
your needs. These methods offer a high level of customization and are ideal for intermediate developers.

- [Command Line Interface (CLI)](/getting-started/installation/cli/)
- [Docker](/getting-started/installation/docker/)
- [Manually](/getting-started/installation/manual/)

::: tip Development Environment

To work on the Directus Core source code, please follow our [Contributing Guide](/contributing/introduction).

:::

## Deployment Guides

The following guides will walk you through the self-hosted installation process for specific third-party platforms.
These options are only recommended for developers familiar with these services and comfortable with more advanced setup.
While Directus is always completely free, you will likely need to pay for these services.

- [Generic Ubuntu](/getting-started/installation/ubuntu/)
- [Internet Information Services (IIS)](/getting-started/installation/iis)
- [Amazon AWS](/getting-started/installation/aws)
- [Google Cloud Platform](/getting-started/installation/gcp)
- [DigitalOcean App Platform](/getting-started/installation/digitalocean-app-platform)
- [Shared Hosting with Plesk](/getting-started/installation/plesk)
- [Cleavr.io](https://docs.cleavr.io/guides/directus)

## One-Click Installs

If you would like to completely avoid the manual installation process, the following self-hosted one-click apps will
handle the heavy-lifting for you. While Directus is always completely free, you will likely need to pay for these
services.

- [Cloudron](/getting-started/installation/cloudron)
- [DigitalOcean](https://marketplace.digitalocean.com/apps/directus?action=deploy&refcode=4c0b6062c16e)
- [Heroku](https://heroku.com/deploy?template=https://github.com/directus-community/heroku-template)
- [Platform.sh](https://console.platform.sh/projects/create-project?template=https%3A%2F%2Fraw.githubusercontent.com%2Fplatformsh%2Ftemplate-builder%2Fmaster%2Ftemplates%2Fdirectus%2F.platform.template.yaml)
- [Zeet](https://deploy.zeet.co/?url=https://github.com/directus-community/heroku-template)
- [Koyeb](https://app.koyeb.com/deploy?type=docker&name=directus&ports=8055;http;/&env[PORT]=8055&env[KEY]=A%20random%20string&env[SECRET]=A%20random%20string&env[PUBLIC_URL]=https://myURL.com/&env[DB_CLIENT]=DB%20client&env[DB_HOST]=DB%20host&env[DB_PORT]=DB%20Port&env[DB_DATABASE]=Database%20name&env[DB_USER]=DB%20user&env[DB_PASSWORD]=DB%20Password&image=directus/directus)

## Directus Cloud

In addition to the self-hosted options above, you can also choose to create Directus projects using our official Managed
Cloud Service. This is the easiest way to get up-and-running with Directus — even for non-technical users. Unique
features include dedicated hardware, automatic updates, automatic backups, usage-based pricing, and more.

- [Directus Cloud Dashboard](http://directus.cloud/)
- [Learn more about On-Demand Cloud](https://directus.io/on-demand-cloud/)
- [Learn more about Enterprise Cloud](https://directus.io/enterprise-cloud/)
